require "Items/SuburbsDistributions"
require "Items/ItemPicker"

AArmor = {}
AArmor.getSprites = function()
	getTexture("Item_BicycleHelmet.png");
	print("Textures and Sprites Loaded.");
end

	table.insert(SuburbsDistributions["all"]["crate"].items, "Armor.ArmorHardhat");
	table.insert(SuburbsDistributions["all"]["crate"].items, 1);

	table.insert(SuburbsDistributions["all"]["metal_shelves"].items, "Armor.ArmorHardhat");
	table.insert(SuburbsDistributions["all"]["metal_shelves"].items, 1);
	
	table.insert(SuburbsDistributions["storageunit"]["all"].items, "Armor.ArmorHardhat");
	table.insert(SuburbsDistributions["storageunit"]["all"].items, 1);
	
	table.insert(SuburbsDistributions["sportstorage"]["metal_shelves"].items, "Armor.ArmorHelmbike");
	table.insert(SuburbsDistributions["sportstorage"]["metal_shelves"].items, 1);
	
	table.insert(SuburbsDistributions["sportstore"]["shelves"].items, "Armor.ArmorHelmbike");
	table.insert(SuburbsDistributions["sportstore"]["shelves"].items, 1);
	
	table.insert(SuburbsDistributions["all"]["locker"].items, "Armor.ArmorHelmbike");
	table.insert(SuburbsDistributions["all"]["locker"].items, 1);
	
	table.insert(SuburbsDistributions["all"]["locker"].items, "Armor.ArmorHelmfootball");
	table.insert(SuburbsDistributions["all"]["locker"].items, 1);
	table.insert(SuburbsDistributions["all"]["locker"].items, "Armor.ArmorHelmbike");
	table.insert(SuburbsDistributions["all"]["locker"].items, 1);
	table.insert(SuburbsDistributions["all"]["locker"].items, "Armor.ArmorHockeymask");
	table.insert(SuburbsDistributions["all"]["locker"].items, 1);
	
	table.insert(SuburbsDistributions["sportstore"]["shelves"].items, "Armor.ArmorHelmfootball");
	table.insert(SuburbsDistributions["sportstore"]["shelves"].items, 1);
	table.insert(SuburbsDistributions["sportstore"]["shelves"].items, "Armor.ArmorHelmbike");
	table.insert(SuburbsDistributions["sportstore"]["shelves"].items, 1);
	table.insert(SuburbsDistributions["sportstore"]["shelves"].items, "Armor.ArmorHockeymask");
	table.insert(SuburbsDistributions["sportstore"]["shelves"].items, 1);
	
	table.insert(SuburbsDistributions["sportstorage"]["metal_shelves"].items, "Armor.ArmorHelmfootball");
	table.insert(SuburbsDistributions["sportstorage"]["metal_shelves"].items, 1);
	table.insert(SuburbsDistributions["sportstorage"]["metal_shelves"].items, "Armor.ArmorHockeymask");
	table.insert(SuburbsDistributions["sportstorage"]["metal_shelves"].items, 1);
	table.insert(SuburbsDistributions["sportstorage"]["metal_shelves"].items, "Armor.ArmorHelmbike");
	table.insert(SuburbsDistributions["sportstorage"]["metal_shelves"].items, 1);

	table.insert(SuburbsDistributions["mechanic"]["metal_shelves"].items, "Armor.ArmorHelmmotorcycle");
	table.insert(SuburbsDistributions["mechanic"]["metal_shelves"].items, 1);	
	table.insert(SuburbsDistributions["garagestorage"]["all"].items, "Armor.ArmorHelmmotorcycle");
	table.insert(SuburbsDistributions["garagestorage"]["all"].items, 0.1);
	
	table.insert(SuburbsDistributions["gunstore"]["locker"].items, "Armor.ArmorHelmkevlar");
	table.insert(SuburbsDistributions["gunstore"]["locker"].items, 1);
	
	table.insert(SuburbsDistributions["policestorage"]["all"].items, "Armor.ArmorShieldriot");
	table.insert(SuburbsDistributions["policestorage"]["all"].items, 1);
	table.insert(SuburbsDistributions["policestorage"]["all"].items, "Armor.ArmorHelmriot");
	table.insert(SuburbsDistributions["policestorage"]["all"].items, 1);
	table.insert(SuburbsDistributions["policestorage"]["all"].items, "Armor.ArmorHelmswat");
	table.insert(SuburbsDistributions["policestorage"]["all"].items, 1);
	table.insert(SuburbsDistributions["policestorage"]["all"].items, "Armor.ArmorGloveriot");
	table.insert(SuburbsDistributions["policestorage"]["all"].items, 1);
	table.insert(SuburbsDistributions["policestorage"]["all"].items, "Armor.ArmorArmarmorswat");
	table.insert(SuburbsDistributions["policestorage"]["all"].items, 1);
	table.insert(SuburbsDistributions["policestorage"]["all"].items, "Armor.ArmorArmarmorriot");
	table.insert(SuburbsDistributions["policestorage"]["all"].items, 1);
	table.insert(SuburbsDistributions["policestorage"]["all"].items, "Armor.ArmorArmorriot");
	table.insert(SuburbsDistributions["policestorage"]["all"].items, 1);	
	table.insert(SuburbsDistributions["policestorage"]["all"].items, "Armor.ArmorArmorswat");
	table.insert(SuburbsDistributions["policestorage"]["all"].items, 1);
	table.insert(SuburbsDistributions["policestorage"]["all"].items, "Armor.ArmorLegarmorswat");
	table.insert(SuburbsDistributions["policestorage"]["all"].items, 1);
	table.insert(SuburbsDistributions["policestorage"]["all"].items, "Armor.ArmorLegarmorriot");
	table.insert(SuburbsDistributions["policestorage"]["all"].items, 1);
	table.insert(SuburbsDistributions["policestorage"]["all"].items, "Armor.ArmorBootriot");
	table.insert(SuburbsDistributions["policestorage"]["all"].items, 1);
	
	table.insert(SuburbsDistributions["storageunit"]["all"].items, "Armor.ArmorHelmsamurai");
	table.insert(SuburbsDistributions["storageunit"]["all"].items, 0.001);	
	table.insert(SuburbsDistributions["storageunit"]["all"].items, "Armor.ArmorArmarmorsamurai");
	table.insert(SuburbsDistributions["storageunit"]["all"].items, 0.001);
	table.insert(SuburbsDistributions["storageunit"]["all"].items, "Armor.ArmorArmorsamurai");
	table.insert(SuburbsDistributions["storageunit"]["all"].items, 0.001);	
	table.insert(SuburbsDistributions["storageunit"]["all"].items, "Armor.ArmorLegarmorsamurai");
	table.insert(SuburbsDistributions["storageunit"]["all"].items, 0.001);	
	
	table.insert(SuburbsDistributions["all"]["inventorymale"].items, "Armor.ArmorWorkgloves");
	table.insert(SuburbsDistributions["all"]["inventorymale"].items, 0.5);
	table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, "Armor.ArmorWorkgloves");
	table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, 0.5);
	table.insert(SuburbsDistributions["all"]["crate"].items, "Armor.ArmorWorkgloves");
	table.insert(SuburbsDistributions["all"]["crate"].items, 1);
	table.insert(SuburbsDistributions["all"]["metal_shelves"].items, "Armor.ArmorWorkgloves");
	table.insert(SuburbsDistributions["all"]["metal_shelves"].items, 1);
	
	table.insert(SuburbsDistributions["gunstore"]["locker"].items, "Armor.ArmorHelmkevlar");
	table.insert(SuburbsDistributions["gunstore"]["locker"].items, 1);
	table.insert(SuburbsDistributions["gunstore"]["locker"].items, "Armor.ArmorArmorkevlar");
	table.insert(SuburbsDistributions["gunstore"]["locker"].items, 1);	
	table.insert(SuburbsDistributions["gunstore"]["locker"].items, "Armor.ArmorArmormilitaryjacket");
	table.insert(SuburbsDistributions["gunstore"]["locker"].items, 1);
	table.insert(SuburbsDistributions["gunstore"]["locker"].items, "Armor.ArmorBootcombat");
	table.insert(SuburbsDistributions["gunstore"]["locker"].items, 1);	
	table.insert(SuburbsDistributions["gunstore"]["locker"].items, "Armor.ArmorGlovekevlar");
	table.insert(SuburbsDistributions["gunstore"]["locker"].items, 1);	
	table.insert(SuburbsDistributions["gunstore"]["locker"].items, "Armor.ArmorArmarmorkevlar");
	table.insert(SuburbsDistributions["gunstore"]["locker"].items, 1);	
	table.insert(SuburbsDistributions["gunstore"]["locker"].items, "Armor.ArmorLegarmorkevlar");
	table.insert(SuburbsDistributions["gunstore"]["locker"].items, 1);
	
	table.insert(SuburbsDistributions["all"]["wardrobe"].items, "Armor.ArmorArmorlightjacket");
	table.insert(SuburbsDistributions["all"]["wardrobe"].items, 0.5);
	table.insert(SuburbsDistributions["bedroom"]["wardrobe"].items, "Armor.ArmorArmorlightjacket");
	table.insert(SuburbsDistributions["bedroom"]["wardrobe"].items, 0.5);
	table.insert(SuburbsDistributions["laundry"]["counter"].items, "Armor.ArmorArmorlightjacket");
	table.insert(SuburbsDistributions["laundry"]["counter"].items, 1);	
	table.insert(SuburbsDistributions["clothesstore"]["clothingrack"].items, "Armor.ArmorArmorlightjacket");
	table.insert(SuburbsDistributions["clothesstore"]["clothingrack"].items, 1);
	
	table.insert(SuburbsDistributions["all"]["wardrobe"].items, "Armor.ArmorArmorleatherjacket");
	table.insert(SuburbsDistributions["all"]["wardrobe"].items, 0.5);
	table.insert(SuburbsDistributions["bedroom"]["wardrobe"].items, "Armor.ArmorArmorleatherjacket");
	table.insert(SuburbsDistributions["bedroom"]["wardrobe"].items, 0.5);
	table.insert(SuburbsDistributions["clothesstore"]["clothingrack"].items, "Armor.ArmorArmorleatherjacket");
	table.insert(SuburbsDistributions["clothesstore"]["clothingrack"].items, 1);
	
	table.insert(SuburbsDistributions["all"]["wardrobe"].items, "Armor.ArmorJeans");
	table.insert(SuburbsDistributions["all"]["wardrobe"].items, 0.5);	
	table.insert(SuburbsDistributions["bedroom"]["wardrobe"].items, "Armor.ArmorJeans");
	table.insert(SuburbsDistributions["bedroom"]["wardrobe"].items, 0.5);
	table.insert(SuburbsDistributions["laundry"]["counter"].items, "Armor.ArmorJeans");
	table.insert(SuburbsDistributions["laundry"]["counter"].items, 1);
	table.insert(SuburbsDistributions["clothesstore"]["clothingrack"].items, "Armor.ArmorJeans");
	table.insert(SuburbsDistributions["clothesstore"]["clothingrack"].items, 1);	
	
	table.insert(SuburbsDistributions["all"]["bin"].items, "Armor.ArmorShieldtrashcanlid");
	table.insert(SuburbsDistributions["all"]["bin"].items, 1);
	
print("SuburbsDistributions added. ");
Events.OnPreMapLoad.Add(AArmor.getSprites);